Skip to main content
POST
/
o
/
{organisation_id}
/
automations
Create a new automation.
curl --request POST \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/automations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "promptTemplate": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "promptTemplate": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "secretNames": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required

Body

application/json
name
string
required
promptTemplate
string

Response

Created

id
string<ulid>
required
name
string
required
promptTemplate
string
required
createdAt
string<date-time>
secretNames
string[]